GDB (xrefs)

Public Attributes | List of all members
frame_base Struct Reference

`#include "frame-base.h"`

## Public Attributes
const struct frame_unwind * | unwind
frame_this_base_ftype * | this_base
frame_this_locals_ftype * | this_locals
frame_this_args_ftype * | this_args

## Detailed Description

Definition at line 58 of file frame-base.h.

## Member Data Documentation

## ◆ this_args

frame_this_args_ftype* frame_base::this_args

Definition at line 65 of file frame-base.h.

Referenced by get_frame_args_address().

## ◆ this_base

frame_this_base_ftype* frame_base::this_base

Definition at line 63 of file frame-base.h.

Referenced by get_frame_base_address().

## ◆ this_locals

frame_this_locals_ftype* frame_base::this_locals

Definition at line 64 of file frame-base.h.

Referenced by get_frame_locals_address().

## ◆ unwind

const struct frame_unwind* frame_base::unwind

Definition at line 62 of file frame-base.h.

Referenced by get_frame_args_address(), get_frame_base_address(), get_frame_locals_address(), and reinit_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/frame-base.h